function [besspol]=besspol(n);
% besspol
% besspol(n) calculates the poles for an
% 'n'th order normalised Bessel filter.
% Conjugate poles are given separately as
% individual elements in the vector in
% consequtive order.
% If odd order the real pole is given as the
% last element in the vector.
% Ref:
% Wai-Kai Chen , "Passive and Active Filters - Theory and Implementations"
% Wiley, 1986.

% 1998-06-25 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1998. All rights reserved
%


for k=0:n,
	p(n-k+1)=fac(2*n-k)/((2^(n-k))*fac(k)*fac(n-k));
end

besspol=cplxpair(roots(p));


function [fac]=fac(k);
fac=prod(1:k);

