% demo1

% reflection coefficient for discret components.
% a resistor of 200 ohm, an inductor of 25 nH, a capacitor of 40 pF at 1 GHz
% the normalization impedance is Z0 = 50 ohms

% Define colours
red=[1,0,0];
green=[0,1,0];
yellow=[1,1,0];
blue=[0,0,1];
cyan=[0,1,1];

f=1e9;
w=2*pi*f;
Z0=50;

R=200;
L=25e-9;
C=40e-12;

% gamma in cartesian coordinates
gamR=z2g(R,Z0);
gamL=z2g(i*L*w,Z0);
gamC=z2g(1/(i*C*w),Z0);

% gamma in polar coordinates
gampR=c2p(gamR)
gampL=c2p(gamL)
gampC=c2p(gamC)

% smith diagram
smtool;

% Plot gamma
plotc(gamR,2,'*',green);
plotc(gamL,2,'*',blue);
plotc(gamC,2,'*',red);
