% demo10

% S parameters of a transistor with an inductance in series with the emitter.
% BFR520

% Read S-parameters
s=readspar('bfr520b.s2p');

% S-parameters to normalized Z-parameters for the transistor
nz=s2nz(s);

% frequency vector
f=nz(:,5)*1e6;

% normalised Z-parameters of the inductance (10 nH)
%    A matrix where each line contains:
%    z11=zL1, z21=zL1, z12=zL1, z22=zL1 for each frequency contained in z(:,5)
%    with zL1=(L*2*pi*f1)/50

L=10e-9;
zL=(L*2*pi/50)*f;
nzl(:,1)=zL;
nzl(:,2)=zL;
nzl(:,3)=zL;
nzl(:,4)=zL;


% normalised Z-parameters for the transistor with inductance in series with
% the emitter
nztot(:,1:4)=nz(:,1:4)+nzl;
nztot(:,5)=nz(:,5);   % copy frequency column

% normalised Z-parameters to S-parameters
stot=nz2s(nztot);