% demo12

% Operating gain circles. 
% BFR520 (Ic = 5 mA, Vce = 3 V)
% operating frequency 1.8 GHz

% Define colours
red=[1,0,0];
green=[0,1,0];
yellow=[1,1,0];
blue=[0,0,1];
cyan=[0,1,1];

% Smithchart
smtool;

% Read S-parameters
s=readspar('bfr520b.s2p');
type bfr520b.s2p;
s1=s(15,:);  % at 1.8 GHz

% Check the stability at 1.8 GHz 

delt=abs(sdelta(s1))
K=sk(s1)
% |delta| < 1
% K > 1
% The transistor is unconditionally stable at 1.8 GHz

% Calculation of the maximum transducer gain in dB at 1.8 GHz
gtmax=dbp(sgtmax(s1))

% Operating gain circles for Gp = 8, 9, 10 dB (in gammaL smithchart)
% The available gain circle is calculated using the parameter gp derived from:
%   operating gain = abs(s21)^2*gp

gp1=idbp(8-dbp(abs(s1(1,2))^2));
drawci(soutgcib(s1,gp1),2,':',red,1);
gp2=idbp(9-dbp(abs(s1(1,2))^2));
drawci(soutgcib(s1,gp2),2,'--',red,1);
gp3=idbp(10-dbp(abs(s1(1,2))^2));
drawci(soutgcib(s1,gp3),2,'-',red,1);

% available gain in dB, for Zl = 50 (gammaL = 0)
gaml=0;
Gp=dbp(sgp(s1,gaml))
