% demo13

% Physical length and width of a line (electrical length 0.15 wavelength)
% Microstrip on 0.7 mm epoxy-fiberglas (epsilonr = 4.55)
% f=850 MHz, Z0 = 50 ohms required


% Calculate Z0 for W/h from 0.8 to 3.0
wh=(1.6:0.05:2.2)';
x=[msz0(4.55,wh),wh]

% Z0 = 50 for W/h = 1.85
% the width of the microstip line is 1.85*0.7 = 1.3 mm
W = 1.3e-3;

% Calculation of the wavelength lambda at 850 MHz
f0=850e6;
epsiloneff = mseffeps(4.55,1.85 )              %  epsiloneff = 3.4082
lambda = 3e8/sqrt(epsiloneff)/f0      % lambda = 19.12 cm

% physical length of the microstrip line
lLine =0.15*lambda               % lLine = 28.7 mm
