% demo2

% reflection coefficient for an inductance of 25 nH and a capacitance of 40 pF 
% from 100 MHz to 1 GHz
% the normalization impedance is Z0 = 50 ohms

% Define colours
red=[1,0,0];
green=[0,1,0];
yellow=[1,1,0];
blue=[0,0,1];
cyan=[0,1,1];

L=25e-9;
C=40e-12;
Z0=50;

% frequency vector
f=[100e6:50e6:1000e6]';

% short-circuit
gamShort = [zeros(size(f,1),1)-1,f];

% reflection coefficient for the inductance
gamL=serl(gamShort,L,Z0);

% reflection coefficient for the capacitance
gamC=serc(gamShort,C,Z0);

% Smith diagram
smtool;

% Plot gamma
plotc(gamL(:,1),1,'.',blue);
plotc(gamC(:,1),1,'.',red);
