% demo3

% reflection coefficient for a short-circuited stub (lamda/4 at 900 MHz) 
% from 100 MHz to 1 GHz
% the normalization impedance is Z0 = 50 ohms

% Define colours
red=[1,0,0];
green=[0,1,0];
yellow=[1,1,0];
blue=[0,0,1];
cyan=[0,1,1];

% frequency vector
f=[100e6:50e6:1000e6]';

% short-circuit
gamShort = [zeros(size(f,1),1)-1,f];

% reflection coefficient for the stub
gamStub=serline(gamShort,0.25,900e6);

% Smith diagram
smtool;

% Plot gamma
plotc(gamStub(:,1),3,'-',blue);

% gamma for the stub at 900 MHz
plotc(gamStub(17,1),5,'*',green);
