% demo4

% Maximum gain for a bilateral unconditionally stable transistor. 
% Simultaneous conjugate match. Available power gain. Operating power gain.
% BFR520 (Ic = 5 mA, Vce = 3 V)
% operating frequency 1.8 GHz


% Read S-parameters
s=readspar('bfr520b.s2p');
type bfr520b.s2p;
s1=s(15,:);


% Check the stability at 1.8 GHz 

delt=abs(sdelta(s1))
K=sk(s1)
% |delta| < 1
% K > 1
% The transistor is unconditionally stable at 1.8 GHz


% Calculation of the maximum transducer gain in dB at 1.8 GHz
gtmax=dbp(sgtmax(s1))

% This gain is achieved for simultaneous conjugate match

% Calculation of source and load impedance for simultaneous conjugate match
Zsmat=g2z(sgamsmat(s1),50)
Zlmat=g2z(sgamlmat(s1),50)

% available gain in dB, when Zs = 50 
gams=0;
Ga=dbp(sga(s1,gams))

% operating power gain in dB, when Zl = 50 
gaml=0;
Gp=dbp(sgp(s1,gaml))
