% demo6

% gammaIn over a frequency range for a transistor loaded by an inductance.
% BFR520 (Ic = 5 mA, Vce = 3 V)

% 2003 Modified by Markus Trmnen,
% Dept of Electroscience, Lund University.
% The demo script is modified because the function sgamin
% now also returns a frequency component.

% Define colours
red=[1,0,0];
green=[0,1,0];
yellow=[1,1,0];
blue=[0,0,1];
cyan=[0,1,1];

% Read S-parameters
s=readspar('bfr520b.s2p');

% Frequency vector (given i MHz in the transistor file)
f=s(:,5)*10^6;

% reflection coefficient of the inductance (L=1 nH) over the frequency range
Zl=1e-9*2*pi*i*f;
gaml=z2g(Zl,50);

% gammaIn for the transistor loaded by L
gammaIn=sgamin(s,gaml);

smtool;
plotc(gaml,2,'-',red);
plotc(gammaIn(:,1),2,'-',blue); 
