% demo7

% Input and output stability circle for a conditionally stable transistor.
% BFR520 (Ic = 5 mA, Vce = 3 V)

% Define colours
red=[1,0,0];
green=[0,1,0];
yellow=[1,1,0];
blue=[0,0,1];
cyan=[0,1,1];

% Smithchart
smtool;


% Read S-parameters
s=readspar('bfr520b.s2p');
s1=s(6,:)  % S-parameters at 500 MHz

% Check the stability at 500 MHz

delt=abs(sdelta(s1))
K=sk(s1)

% K < 1
% The transistor is conditionally stable at 500 MHz

% draw the input (red) and output (yellow) stability circle

drawci(sinstci(s1),2,'-',red);
drawci(soutstci(s1),2,'-',yellow);
