%demo8

% Noise circle for a transistor and noise figure for a given gammaS.
% BFR520 (Vce = 6V, Ic = 10mA)


% Define colours
red=[1,0,0];
green=[0,1,0];
yellow=[1,1,0];
blue=[0,0,1];
cyan=[0,1,1];

% Smithchart
smtool;


% Read S-parameters
s=readspar('bfr520i.s2p');
s1=s(9,:);  % at 1 GHz

% Read the noise parameters at 1 GHz
% ! Fmin is given in dB in the transistor file!

type bfr520i.s2p;
nfmin=idbp(1.30);
gammaopt=p2c(0.273,43.0);
rn=0.250;


% plot gammaopt and noise circle

plotc(gammaopt,2,'*',blue);

drawci(noisecig(idbp(1.4),nfmin,rn,gammaopt),2,'-',blue,1);
drawci(noisecig(idbp(1.6),nfmin,rn,gammaopt),2,'--',blue,1);
drawci(noisecig(idbp(1.8),nfmin,rn,gammaopt),2,':',blue,1);

% Calculate the noise figure for gammaS=0

gammaS=0;
F=nfg(nfmin,rn,gammaopt,gammaS)
FdB=dbp(F)