% deslib - Dept. of Electroscience, Lund University
% Former name of the deslib toolbox was daelib.
% daelib - Dept. of Applied Electronics, Lund University
%
% 1999-08-20 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997-99. All rights reserved.
%
% This MATLAB library provides functions for analysing
% and designing RF and microwave electronics using .e.g.
% reflection coefficients, S-parameters and the Smith chart.
% One of the main features of this library is the capability
% to analyse circuits over a range of frequencies. Functions
% accept e.g. columns of S-parameters where each row represents
% S-parameters for a given frequency. More information on
% data formats is found in the end of this text. For more
% information on the functions available refer to the 
% help topics below (execute help <help topic>)
%
%
% desdemo    - demonstration of some deslib-functions
% daegraph   - graphics and plotting functions
% daemisc    - miscellaneous functions
% netdes     - network design and analysis
% noise      - noise analysis
% parcon     - two-port network parameter conversion
% sparam     - S-parameter functions
% yparam     - y-parameter functions
% filters    - filter design and analysis
% tlines     - transmission line realisation
% trdata     - transistor S-parameters
%
%
% Data Formats
%
%
% S-parameters
% 
% [s11,s21,s12,s22] or [s11,s21,s12,s22, frequency].
% any number of rows allowed (for freq sweep).
% Parameter conversion routines preserve the frequency column.
%
% The format for y,z,h,ABCD and t-parameters are the same as for
% S-parameters. All quantities except the frequency are complex-valued.
% 
%
% Reflection Coefficient
%
% Reflection coefficients in the first column and corresponding frequency
% in the second column, ie: gamma=[gamma1, f1; gamma2, f2; ....]
%
% 
% Data Formats for Graphics 
%
% Circles are specified as [center,radius] where center is a
% complex number describing the location of the circle in the complex
% plane. The radiu of the circle is a real-valued number.
%
% Arcs are specified as [center,radius,startangle,stopangle]
%      center - center of circle (complex number)
%      radius - radius of circle
%      startangle - startangle (deg)
%      stopangle - stopangle (deg)
%
% Arrow heads are specified as [baseangle,tipangle,len]
%      baseangle - in degrees
%      tipangle - in degrees
%      len - length of arrow head (assumes a quadratic plot space)
%
% Other data types used like linetypes, linewidth, fonts, font
% attributes etc are supported and documented in MATLAB