function [g2swr]=g2swr(gamma);
% g2swr
% g2swr(gamma) calculates standing wave ratio from
% the reflection coefficient "gamma".
% Optional frequency column gamma(:,2) is copied into g2swr(:,2)

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

g2swr=gamma; % copy to get the optional frequency column gamma(:,2).
g2swr(:,1)=(1+abs(gamma(:,1)))./(1-abs(gamma(:,1)));
