function [nabcd2s]=nabcd2s(na);
% nabcd2s
% nabcd2s(na) converts normalised ABCD-parameters to S-parameters.
% Format: ABCD=[A,C,B,D];
% Optional frequency data in nABCD(:,5) is copied into s(:,5).

% copy to get the optional frequency data in na(:,5)
nabcd2s=na;
delta4=na(:,1)+na(:,3)+na(:,2)+na(:,4);
nabcd2s(:,1)=(na(:,1)+na(:,3)-na(:,2)-na(:,4))./delta4;
nabcd2s(:,2)=2./delta4;
nabcd2s(:,3)=2.*(na(:,1).*na(:,4)-na(:,3).*na(:,2))./delta4;
nabcd2s(:,4)=(-na(:,1)+na(:,3)-na(:,2)+na(:,4))./delta4;
