function [noisecig]=noisecig(NF,NFmin,rn,gammao);
% noisecig
% noisecig(NF,NFmin,rn,gammao) calculates the noise circle based
% on the noise properties 'NFmin', 'rn', 'gammao' and the wanted noise
% figure 'NF'. rn must be normalized with the same characterstic
% impedance that is assumed for the optimal reflection coefficients
% 'gammao'.

Ni=(NF-NFmin).*abs(1+gammao).^2./(4.*rn);
noisecig=[gammao./(1+Ni),sqrt(Ni.^2+Ni.*(1-abs(gammao).^2))./(1+Ni)];
