function [nz2s]=nz2s(nz);
% nz2s
% nz2s(nz) converts normalised z-parameters to S-parameters.
% Optional frequency data in nz(:,5) is copied into s(:,5).

% copy to get the optional frequency data in nz(:,5)
nz2s=nz; 
delta1=(1+nz(:,1)).*(1+nz(:,4))-nz(:,2).*nz(:,3);
nz2s(:,1)=((nz(:,1)-1).*(nz(:,4)+1)-nz(:,3).*nz(:,2))./delta1;
nz2s(:,2)=2.*nz(:,2)./delta1;
nz2s(:,3)=2.*nz(:,3)./delta1;
nz2s(:,4)=((1+nz(:,1)).*(nz(:,4)-1)-nz(:,3).*nz(:,2))./delta1;
