% Two-port Network Parameter Conversion
%
% * help <function name> for more information.
%
% General
%
%  s2nabcd - s-parameters -> normalized ABCD-parameters.
%  s2nh    - s-parameters -> normalized h-parameters.
%  s2ny    - s-parameters -> normalized y-parameters.
%  s2nz    - s-parameters -> normalized z-parameters.
%  s2t     - s-parameters -> t-parameters.
%  nabcd2s - normalized ABCD-parameters -> s-parameters.
%  nh2s    - normalized h-parameters    -> s-parameters.
%  ny2s    - normalized y-parameters    -> s-parameters.
%  nz2s    - normalized z-parameters    -> s-parameters.
%  t2s     - t-parameters               -> s-parameters.
%
% Conversion between y-parameters for various transistor
% congfigurations
%
%  yb2yc   - y-parameters (common base) -> y-parameters (CC).
%  yb2ye   - y-parameters (common base) -> y-parameters (CE).
%  yc2yb   - y-parameters (common coll) -> y-parameters (CB).
%  yc2ye   - y-parameters (common coll) -> y-parameters (CE).
%  ye2yb   - y-parameters (common emit) -> y-parameters (common base).
%  ye2yc   - y-parameters (common emit) -> y-parameters (common coll).

% 1997-01-16 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.

