function [parl]=parl(gammaL,L,Z0);
% parl
% parl(gammaL,L,Z0) calculates the refl. coeff. for gammaL
% in parallel with an inductor.
% gammaL     - refl. coeff. for load impedance and corresponding
%              frequency.
%              Format: [gammaL1,f1;gammaL2,f1;gammaL3,f3...].
% L          - Inductance in Henry
% Z0         - Normalization impedance for gammaL

% 1996-12-19 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1996. All rights reserved.

parl=gammaL; 
parl(:,1)=z2g(1./(1./(i.*2.*pi.*L.*gammaL(:,2))+1./g2z(gammaL(:,1),Z0)),Z0);
