function [psdash]=psdash(dashspec);
% psdash
% psdash(dashspec)
% This function sets the dash property of paths
% in postscript when the postscript collection session
% is active. It does not affect the appearance
% of MATLAB graphics. Whenever a drawxxx.m function
% is invoked with linestyle='--' the dashspec is used
% in the postscript code otherwise a solid line is used.
% the dashspec is similar to that of postscript, ie,
% a row vector. The row vector specifies the length
% of consecutive black and white elements in pixels
% and must at least contain two elements. Additionally,
% the final element is assumed to be an offset that
% in normal cases can be set to zero.
%
% Examples:
% psdash([3 1 0]) gives something like '--- --- --- ---'
% psdash([3 3 0]) gives something like '---   ---   ---'
% psdash([3 3 2]) gives something like '  ---   ---   -'
% psdash([1 2 3 1 0])
%                 gives something like '-  --- -  -  --'

% 1997-01-15 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.

% Define global variables
global daepsdash

daepsdash=dashspec;
