function [rotatec]=rotatec(d,aangle);
% rotatec
% rotatec(d,aangle)
% Rotates points (d) in the complex plane around 0+i*0
%
% Parameters:
% d - any matrix
% aangle - counterclockwise rotation in degrees

% 1996-12-18 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1996. All rights reserved.

aangle=pi*aangle/180;

red=real(d);
imd=imag(d);

rotatec=red*cos(aangle)-imd*sin(aangle)+i*(imd*cos(aangle)+red*sin(aangle));
