function [s2nh]=s2nh(s);
% s2nh
% s2nh(s) converts S-parameters to normalised h-parameters.
% Format: h=[h11,h21,h12,h22];
% Optional frequency data in s(:,5) is copied into nh(:,5).

% copy to get the optional frequency data in s(:,5).
s2nh=s; 
delta7=(1-s(:,1)).*(1+s(:,4))+s(:,3).*s(:,2);
s2nh(:,1)=((1+s(:,1)).*(1+s(:,4))-s(:,3).*s(:,2))./delta7; 
s2nh(:,2)=-2.*s(:,2)./delta7;
s2nh(:,3)=2.*s(:,3)./delta7;
s2nh(:,4)=((1-s(:,4)).*(1-s(:,1))-s(:,3).*s(:,2))./delta7;
