function [s2ny]=s2ny(s);
% s2ny
% s2ny(s) converts S-parameters to normalised y-parameters.
% Optional frequency data in s(:,5) is copied into ny(:,5).

delta6=(1+s(:,1)).*(1+s(:,4))-s(:,3).*s(:,2);
% copy to get the optional frequency data in s(:,5).
s2ny=s;
s2ny(:,1)=((1-s(:,1)).*(1+s(:,4))+s(:,3).*s(:,2))./delta6;
s2ny(:,2)=-2.*s(:,2)./delta6;
s2ny(:,3)=-2.*s(:,3)./delta6;
s2ny(:,4)=((1+s(:,1)).*(1-s(:,4))+s(:,3).*s(:,2))./delta6;
