function [sepmarkerstyle,seplinestyle]=sepml(markerandlinestyle);
% sepml
% Separates markerstyle and linestyle properties from one string,
% as normally passed to the plot-function, into two separate strings

% 2003-08-28 Written by Lars Sundstrom,
% Ericsson Mobile Platforms AB
% Copyright (c) 2003. All rights reserved.


AvailMarkerstyles='+o*xsd.^v><ph';
dotfound=0;

sepmarkerstyle='';
seplinestyle='';

markerandlinestyle=lower(markerandlinestyle);

ll=length(markerandlinestyle);

% First find linestyle properties (multiple occurances not allowed!)
% Find occurance of '-'
linestylepos=findstr(markerandlinestyle,'-');

% If '-' found
if length(linestylepos)>0,
    % if more characters follows after '-'
    if linestylepos(1)<ll,
        if strcmp(markerandlinestyle(linestylepos(1)+1),'-'),
            seplinestyle='--';
        elseif strcmp(markerandlinestyle(linestylepos(1)+1),'.'),
            seplinestyle='-.';
            dotfound=1;
        else
            seplinestyle='-';
        end
    else
        seplinestyle='-';
    end
end

linestyleposcolon=findstr(markerandlinestyle,':');
if ~isempty(linestyleposcolon),
    seplinestyle=[seplinestyle ':'];
end


if isempty(seplinestyle),
    seplinestyle='none';
end

% Secondly find marker style properties
for kk=1:ll
    % Check against available marker styles
    if length(findstr(AvailMarkerstyles,markerandlinestyle(kk)))>0,
        % found but first check to see that it is not a dot that is part
        % of the linestyle!
        if strcmp(markerandlinestyle(kk),'.'),
            % only add if dot not part of linestyle
            if dotfound==0,
                sepmarkerstyle=[sepmarkerstyle '.'];       
            end
        else
            sepmarkerstyle=[sepmarkerstyle markerandlinestyle(kk)];
        end
    end
end

if isempty(sepmarkerstyle),
    sepmarkerstyle='none';
end
