function [serc]=serc(gammaL,C,Z0);
% serc
% serc(gammaL,C,Z0) calculates the refl. coeff. for gammaL in
% series with a capacitor.
% gammaL     - refl. coeff. for load impedance and
%              corresponding frequency.
%              Format: [gammaL1,f1;gammaL2,f1;gammaL3,f3...].
% C          - Capacitance in Farads
% Z0         - Normalization impedance for gammaL

% 1996-12-19 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1996. All rights reserved.

serc=gammaL; 
serc(:,1)=z2g(1./(i.*2.*pi.*C.*gammaL(:,2))+g2z(gammaL(:,1),Z0),Z0);
