function [sga]=sga(s,gammaS);
% sga
% sga(s,gammaS) returns the bilateral available (power) gain for a
% two-port specified with its S-parameters (s=[s11,s21,s12,s22])
% and a reflection coefficient for the source (gammaS).

% 2003 Modified by Markus Trmnen,
% Dept of Electroscience, Lund University.
% The function is modified because the function sgamout
% now also returns a frequency component.

gamOutTmp=sgamout(s,gammaS);
sga=((1-abs(gammaS).^2)./(abs(1-s(:,1).*gammaS).^2)).*(abs(s(:,2)).^2).*(1./(1-abs(gamOutTmp(:,1)).^2));

