function [sgamout]=sgamout(s,gammaS);
% sgamout
% function [sgamout]=sgamout(s,gammaS);
% sgamout(s,gammaS) returns the output (port 2) reflection coefficient 
% and corresponding frequency for a two-port specified with 
% S-parameters ((s=[s11,s21,s12,s22,f])) and a reflection coefficient 
% for the source (gammaS).
% i.e sgamout=[gamOut,freq]
% Note: gammaS should not contain a frequency vector.

% 2003 Modified by Markus Trmnen,
% Dept of Electroscience, Lund University.
% The function now also returns the corresponding
% frequency to the reflection coefficient.

sgamout=[(s(:,4)-sdelta(s).*gammaS)./(1-s(:,1).*gammaS),s(:,5)];
