function [sgp]=sgp(s,gammaL);
% sgp
% sgp(s,gammaL) returns the bilateral operating (power) gain
% for a two-port specified with its S-parameters
% (s=[s11,s21,s12,s22]) and a reflection coefficient for
% the load (gammaL).
 
% 2003 Modified by Markus Trmnen,
% Dept of Electroscience, Lund University.
% The function is modified because the function sgamin
% now also returns a frequency component.

gamInTmp=sgamin(s,gammaL);
sgp=(1./(1-abs(gamInTmp(:,1)).^2)).*(abs(s(:,2)).^2).*((1-abs(gammaL).^2)./(abs(1-s(:,4).*gammaL).^2));
