function [singciu]=singciu(s,gS);
% singciu
% singciu(s,gS) returns the (unilateral) gain circle
% for the source. The circle is given as [location, radii]
% where location is a complex number and radii a real number.
% "gS" is the input gain factor (Gt=Gtmax*gS*gL);
% The two-port is specified with S-parameters (s=[s11,s21,s12,s22]).
singciu=[gS.*abs(s(:,1))./(1-abs(s(:,1)).^2.*(1-gS)).*conj(s(:,1))./abs(s(:,1)),sqrt(1-gS).*(1-abs(s(:,1)).^2)./(1-abs(s(:,1)).^2.*(1-gS))];
