function [soutgcib]=soutgcib(s,gp);
% soutgcib
% soutgcib(s,gp) returns the gain circle for a two-port
% based on operating gain, ie possible values for the load to
% obtain a given operating gain=abs(s21)^2*gp.
% The two-port is specified with S-parameters (s=[s11,s21,s12,s22]).

cL=s(:,4)-sdelta(s).*conj(s(:,1));
soutgcib=[gp.*conj(cL)./(1+gp.*(abs(s(:,4)).^2-abs(sdelta(s)).^2)),sqrt(1-2.*sk(s).*abs(s(:,3).*s(:,2)).*gp+abs(s(:,3).*s(:,2)).^2.*gp.^2)./abs((1+gp.*(abs(s(:,4)).^2-abs(sdelta(s)).^2)))];
