function [soutstci]=soutstci(s);
% soutstci
% soutstci(s) returns the stability circle for the output
% (i.e. that gives abs(gammaIn)=1). The circle is given
% as [location, radii] where location is a complex number
% and radii a real number. The two-port is specified with
% S-parameters (s=[s11,s21,s12,s22]).
soutstci=[conj(s(:,4)-sdelta(s).*conj(s(:,1)))./(abs(s(:,4)).^2-abs(sdelta(s)).^2), abs((s(:,2).*s(:,3))./(abs(s(:,4)).^2-abs(sdelta(s)).^2))];
