function [sufmm]=sufmm(s);
% sufmm
% sufmm(s) returns the M factor used to calculate unilateral
% figure of merit for a two-port with gammmaS=conj(s11) and
% gammaL=conj(s22).
% The two-port is specified with its S-parameters (s=[s11,s21,s12,s22])
sufmm=abs(s(:,3).*s(:,2).*s(:,1).*s(:,4))./(( 1-abs(s(:,1)).^2).*(1-abs(s(:,4)).^2));
