function [sufmx]=sufmx(s,gammaS,gammaL);
% sufmx
% sufmx(s,gammaS,gammaL) returns the X factor used to calculate
% unilateral figure of merit for a two-port with arbitrary
% source and load reflection coefficients ("gammaS" and "gammaL").
% The two-port is specified with its S-parameters
% (s=[s11,s21,s12,s22])
sufmx=s(:,3).*s(:,2).*gammaS.*gammaL./((1-s(:,1).*gammaS).*(1-s(:,4).*gammaL));
