function [t2s]=t2s(t);
% t2s
% t2s(t) converts chain scattering parameters (T) S-parameters (S).
% Formats: T=[T11,T21,T12,T22], S=[S11,S21,S12,S22].
% Optional frequency data in t(:,5) is copied into s(:,5).

% copy to get the optional frequency data in t(:,5)
t2s=t; 
t2s(:,1)=t(:,2)./t(:,1);
t2s(:,2)=1./t(:,1);
t2s(:,3)=t(:,4)-t(:,2).*t(:,3)./t(:,1);
t2s(:,4)=-t(:,3)./t(:,1);
