function [yga]=yga(y,yS);
% yga
% yga(y,yS) returns the bilateral available (power) gain
% for a two-port specified with its y-parameters
% (y=[y11,y21,y12,y22]) and admittances  and the source (yS).

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

yga=real(yS).*abs(y(:,2)).^2./(abs(y(:,1)+yS).^2.*real(y(:,4)-y(:,3).*y(:,2)./(yS+y(:,1))));
