function [ygtmax]=ygtmax(y);
% ygtmax
% ygtmax(y) returns the maximum transducer (power) gain
% (under simultaneous conjugate match conditions)
% for a two-port specified with its y-parameters
% (y=[y11,y21,y12,y22]).

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

ygtmax=2.*abs(y(:,2)).^2./(sqrt(2.*real(y(:,1)).*real(y(:,4))-real(y(:,3).*y(:,2))+abs(y(:,3).*y(:,2)))+sqrt(2.*real(y(:,1)).*real(y(:,4))-real(y(:,3).*y(:,2))-abs(y(:,3).*y(:,2)))).^2;
