function [z2g]=z2g(Z,Z0);
% z2g
% z2g(Z,Z0) calculates the reflection coefficient for
% the impedance 'Z' based on the characteristic
% impedance Z0.
% Optional frequency column Z(:,2) is copied into z2g(:,2)

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

% copy to get the optional frequency column Z(:,2).
z2g=Z;
z2g(:,1)=(Z(:,1)-Z0)./(Z(:,1)+Z0);
